Create a DSS Trunk
Deprecated
POST
Deprecated. Use POST /v1/voip/dss/trunks to provision the DSS trunk from a preset. This legacy endpoint creates a trunk and optionally associates initial numbers and destinations.
application/json- body
Request payload for creating a DSS trunk.
name*stringTrunk name
channel*integerMaximum number of concurrent channels
Range
1 <= valueidCustomer*integerCustomer identifier
Range
1 <= valueorganizationId?integerOrganization identifier
domainId?|DSS domain identifier
singleNumber?|Whether the trunk uses a single number
numberId?|Number to associate when singleNumber is enabled
trafficLimit?|Traffic credit limit
Range
0 <= valuebkNumber?|Backup number
blocked?|Initial blocked state
permanentBk?|Whether permanent backup routing is enabled
dualIdentity?|Whether dual identity is enabled
toInRu?|Whether To In RU is enabled
checkPrefix?|Whether prefix checking is enabled
countries?array<>|Initial enabled destinations.
DSS trunk created successfully.
curl -X POST 'https://api.eis.it/v1/voip/dss/trunk/add' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "channel": 1, "idCustomer": 1}'Example Response
Empty